
QGIS Application - Feature request #4348

Add features like "creation options" and "no data" for all gdaltools

2011-10-05 02:40 AM - Alister Hood

Status: Closed

Priority: Normal

Assignee:

Category: Processing/GDAL

Pull Request or Patch supplied:No Resolution: fixed/implemented

Easy fix?: No Copied to github as #: 14285

Description

The dialogues for some of the raster tools (e.g. translate) have options for important things like specifying a nodata value, the number of

bands ("Expand"), and  "creation options" (useful e.g. for specifying tif compression options).

For some other raster tools (e.g. rasterize) these features are not available.  It would be good if they were.

History

#1 - 2011-10-17 08:24 PM - Alister Hood

Just a note to myself or anyone else it helps:

Specifying the nodata value is particularly important for gdal_rasterize because if it isn't specified the areas without data default to 0, but the nodata value

is not set to 0, so the resulting file is unusable in e.g. gdal_fillnodata.py

#2 - 2011-12-16 02:10 PM - Giovanni Manghi

- Target version set to Version 1.7.4

#3 - 2012-04-15 10:09 AM - Giovanni Manghi

- Target version changed from Version 1.7.4 to Version 2.0.0

#4 - 2012-10-06 02:15 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#5 - 2012-12-30 10:07 AM - Giovanni Manghi

- Assignee set to Giuseppe Sucameli

#6 - 2012-12-31 01:24 AM - Paolo Cavallini

- Assignee changed from Giuseppe Sucameli to anonymous -

#7 - 2014-06-29 10:09 AM - Jürgen Fischer

- Assignee deleted (anonymous -)

#8 - 2017-01-02 05:55 AM - Giovanni Manghi

- Category changed from GDAL Tools to Processing/GDAL

#9 - 2017-05-01 12:50 AM - Giovanni Manghi

- Easy fix? set to No

#10 - 2018-02-02 08:59 AM - Alexander Bruy

- Description updated

- Status changed from Open to Feedback
Should be fixed in master

#11 - 2018-05-16 02:10 PM - Alexander Bruy

- Resolution set to fixed/implemented

- Status changed from Feedback to Closed
